OpenEL 3.0.0

Public Attributes | List of all members
elSensorFncTblSt Struct Reference

`#include <openEL_sensor.h>`

## Public Attributes
enum ReturnCode(* | pFncInit )()
enum ReturnCode(* | pFncReInit )()
enum ReturnCode(* | pFncFinalize )()
enum ReturnCode(* | pFncAddObserver )()
enum ReturnCode(* | pFncRemoveObserver )()
enum ReturnCode(* | pFncGetProperty )()
enum ReturnCode(* | pFncGetTime )()
enum ReturnCode(* | pFncDummy07 )()
enum ReturnCode(* | pFncDummy08 )()
enum ReturnCode(* | pFncDummy09 )()
enum ReturnCode(* | pFncDummy0A )()
enum ReturnCode(* | pFncDummy0B )()
enum ReturnCode(* | pFncDummy0C )()
enum ReturnCode(* | pFncDummy0D )()
enum ReturnCode(* | pFncDummy0E )()
enum ReturnCode(* | pFncDummy0F )()
enum ReturnCode(* | pFncGetValue )(HALCOMPONENT_T **halComponent, halfloat **list)
enum ReturnCode(* | pFncGetTimedValue )(HALCOMPONENT_T **halComponent, halfloat **list, int32_t **timer)
enum ReturnCode(* | pFncSetUnit )(char units)
enum ReturnCode(* | pFncGetUnit )(char *units)
enum ReturnCode(* | pFncDummy14 )()
enum ReturnCode(* | pFncDummy15 )()
enum ReturnCode(* | pFncDummy16 )()
enum ReturnCode(* | pFncDummy17 )()
enum ReturnCode(* | pFncSetReset )()
enum ReturnCode(* | pFncStart )()
enum ReturnCode(* | pFncStop )()
enum ReturnCode(* | pFncDummy1B )()
enum ReturnCode(* | pFncDummy1C )()
enum ReturnCode(* | pFncDummy1D )()
enum ReturnCode(* | pFncDummy1E )()
enum ReturnCode(* | pFncDummy1F )()

## Detailed Description

Sensor component — function table

Definition at line 32 of file openEL_sensor.h.

## Member Data Documentation

## ◆ pFncAddObserver

enum ReturnCode(* elSensorFncTblSt::pFncAddObserver) ()

AddObserver

Definition at line 36 of file openEL_sensor.h.

## ◆ pFncDummy07

enum ReturnCode(* elSensorFncTblSt::pFncDummy07) ()

Reserved

Definition at line 40 of file openEL_sensor.h.

## ◆ pFncDummy08

enum ReturnCode(* elSensorFncTblSt::pFncDummy08) ()

Reserved

Definition at line 42 of file openEL_sensor.h.

## ◆ pFncDummy09

enum ReturnCode(* elSensorFncTblSt::pFncDummy09) ()

Reserved

Definition at line 43 of file openEL_sensor.h.

## ◆ pFncDummy0A

enum ReturnCode(* elSensorFncTblSt::pFncDummy0A) ()

Reserved

Definition at line 44 of file openEL_sensor.h.

## ◆ pFncDummy0B

enum ReturnCode(* elSensorFncTblSt::pFncDummy0B) ()

Reserved

Definition at line 45 of file openEL_sensor.h.

## ◆ pFncDummy0C

enum ReturnCode(* elSensorFncTblSt::pFncDummy0C) ()

Reserved

Definition at line 46 of file openEL_sensor.h.

## ◆ pFncDummy0D

enum ReturnCode(* elSensorFncTblSt::pFncDummy0D) ()

Reserved

Definition at line 47 of file openEL_sensor.h.

## ◆ pFncDummy0E

enum ReturnCode(* elSensorFncTblSt::pFncDummy0E) ()

Reserved

Definition at line 48 of file openEL_sensor.h.

## ◆ pFncDummy0F

enum ReturnCode(* elSensorFncTblSt::pFncDummy0F) ()

Reserved

Definition at line 49 of file openEL_sensor.h.

## ◆ pFncDummy14

enum ReturnCode(* elSensorFncTblSt::pFncDummy14) ()

Reserved

Definition at line 55 of file openEL_sensor.h.

## ◆ pFncDummy15

enum ReturnCode(* elSensorFncTblSt::pFncDummy15) ()

Reserved

Definition at line 56 of file openEL_sensor.h.

## ◆ pFncDummy16

enum ReturnCode(* elSensorFncTblSt::pFncDummy16) ()

Reserved

Definition at line 57 of file openEL_sensor.h.

## ◆ pFncDummy17

enum ReturnCode(* elSensorFncTblSt::pFncDummy17) ()

Reserved

Definition at line 58 of file openEL_sensor.h.

## ◆ pFncDummy1B

enum ReturnCode(* elSensorFncTblSt::pFncDummy1B) ()

Reserved

Definition at line 63 of file openEL_sensor.h.

## ◆ pFncDummy1C

enum ReturnCode(* elSensorFncTblSt::pFncDummy1C) ()

Reserved

Definition at line 64 of file openEL_sensor.h.

## ◆ pFncDummy1D

enum ReturnCode(* elSensorFncTblSt::pFncDummy1D) ()

Reserved

Definition at line 65 of file openEL_sensor.h.

## ◆ pFncDummy1E

enum ReturnCode(* elSensorFncTblSt::pFncDummy1E) ()

Reserved

Definition at line 66 of file openEL_sensor.h.

## ◆ pFncDummy1F

enum ReturnCode(* elSensorFncTblSt::pFncDummy1F) ()

Reserved

Definition at line 67 of file openEL_sensor.h.

## ◆ pFncFinalize

enum ReturnCode(* elSensorFncTblSt::pFncFinalize) ()

Finalize

Definition at line 35 of file openEL_sensor.h.

## ◆ pFncGetProperty

enum ReturnCode(* elSensorFncTblSt::pFncGetProperty) ()

GetProperty

Definition at line 38 of file openEL_sensor.h.

## ◆ pFncGetTime

enum ReturnCode(* elSensorFncTblSt::pFncGetTime) ()

GetTime

Definition at line 39 of file openEL_sensor.h.

## ◆ pFncGetTimedValue

enum ReturnCode(* elSensorFncTblSt::pFncGetTimedValue) (HALCOMPONENT_T **halComponent, halfloat **list, int32_t **timer)

GetTimedValue

Definition at line 52 of file openEL_sensor.h.

## ◆ pFncGetUnit

enum ReturnCode(* elSensorFncTblSt::pFncGetUnit) (char *units)

GetUnit

Definition at line 54 of file openEL_sensor.h.

## ◆ pFncGetValue

enum ReturnCode(* elSensorFncTblSt::pFncGetValue) (HALCOMPONENT_T **halComponent, halfloat **list)

GetValue

Definition at line 51 of file openEL_sensor.h.

## ◆ pFncInit

enum ReturnCode(* elSensorFncTblSt::pFncInit) ()

Initialize

Definition at line 33 of file openEL_sensor.h.

## ◆ pFncReInit

enum ReturnCode(* elSensorFncTblSt::pFncReInit) ()

ReInit

Definition at line 34 of file openEL_sensor.h.

## ◆ pFncRemoveObserver

enum ReturnCode(* elSensorFncTblSt::pFncRemoveObserver) ()

RemoveObserver

Definition at line 37 of file openEL_sensor.h.

## ◆ pFncSetReset

enum ReturnCode(* elSensorFncTblSt::pFncSetReset) ()

Reserved

Definition at line 60 of file openEL_sensor.h.

## ◆ pFncSetUnit

enum ReturnCode(* elSensorFncTblSt::pFncSetUnit) (char units)

SetUnit

Definition at line 53 of file openEL_sensor.h.

## ◆ pFncStart

enum ReturnCode(* elSensorFncTblSt::pFncStart) ()

Reserved

Definition at line 61 of file openEL_sensor.h.

## ◆ pFncStop

enum ReturnCode(* elSensorFncTblSt::pFncStop) ()

Reserved

Definition at line 62 of file openEL_sensor.h.

The documentation for this struct was generated from the following file:

- /Users/nakamura/openel/OpenEL-3.0.0/include/openEL_sensor.h